VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
IStringListValue Class Referenceabstract

`#include <value.h>`

Inheritance diagram for IStringListValue:

## Public Types
using | StringType = UTF8String
using | StringList = std::vector<StringType>

## Public Member Functions
virtual bool | updateStringList (const StringList &newStrings)=0
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Member Typedef Documentation

## ◆ StringList

using StringList = std::vector<StringType>

## ◆ StringType

using StringType = UTF8String

## Member Function Documentation

## ◆ updateStringList()

virtual bool updateStringList | ( | const StringList & | newStrings | ) |
| pure virtual

The documentation for this class was generated from the following file:

- value.h